singa-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From wan...@apache.org
Subject [01/13] incubator-singa git commit: SINGA-72 Minor updates to be consisten with documentation
Date Sun, 27 Sep 2015 14:34:24 GMT
Repository: incubator-singa
Updated Branches:
  refs/heads/master 4e15c3444 -> 2f665370b


SINGA-72 Minor updates to be consisten with documentation

Modify version number. Remove cmake and opencv in install.sh.


Project: http://git-wip-us.apache.org/repos/asf/incubator-singa/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-singa/commit/3d1b0dc1
Tree: http://git-wip-us.apache.org/repos/asf/incubator-singa/tree/3d1b0dc1
Diff: http://git-wip-us.apache.org/repos/asf/incubator-singa/diff/3d1b0dc1

Branch: refs/heads/master
Commit: 3d1b0dc1f0ce044534334e88f143d13d60294022
Parents: 8e7c6cc
Author: xiezl <xiezhongle@comp.nus.edu.sg>
Authored: Tue Sep 22 14:27:39 2015 +0800
Committer: Wei Wang <wangwei@comp.nus.edu.sg>
Committed: Sat Sep 26 23:23:33 2015 +0800

----------------------------------------------------------------------
 configure.ac          |   2 +-
 thirdparty/install.sh | 136 ++++++++++++++++++++++-----------------------
 2 files changed, 69 insertions(+), 69 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-singa/blob/3d1b0dc1/configure.ac
----------------------------------------------------------------------
diff --git a/configure.ac b/configure.ac
index bc11c34..1ae5cec 100644
--- a/configure.ac
+++ b/configure.ac
@@ -21,7 +21,7 @@
 # Process this file with autoconf to produce a configure script.
 
 AC_PREREQ(2.59)
-AC_INIT(singa, 0.1, dev@singa.incubator.apache.org)
+AC_INIT(singa, 0.1.0, dev@singa.incubator.apache.org)
 AC_CONFIG_AUX_DIR(config)
 AC_CONFIG_MACRO_DIR(config)
 AC_CONFIG_SRCDIR([src/utils/common.cc])

http://git-wip-us.apache.org/repos/asf/incubator-singa/blob/3d1b0dc1/thirdparty/install.sh
----------------------------------------------------------------------
diff --git a/thirdparty/install.sh b/thirdparty/install.sh
index 7bce5af..b9a3095 100755
--- a/thirdparty/install.sh
+++ b/thirdparty/install.sh
@@ -361,27 +361,27 @@ cd $BIN
 while [ $# != 0 ]
 do
 	case $1 in
-	"cmake")
-		echo "install cmake";
-		if [[ $2 == */* ]];then
-			install_cmake $2;
-		    if [ $? -ne 0 ] 
-		    then
-		        echo "ERROR during cmake installation" ;
-		        exit;
-		    fi  
-			shift
-			shift
-		else
-			install_cmake;
-		    if [ $? -ne 0 ] 
-		    then
-		        echo "ERROR during cmake installation" ;
-		        exit;
-		    fi  
-			shift
-		fi
-		;;
+#	"cmake")
+#		echo "install cmake";
+#		if [[ $2 == */* ]];then
+#			install_cmake $2;
+#		    if [ $? -ne 0 ] 
+#		    then
+#		        echo "ERROR during cmake installation" ;
+#		        exit;
+#		    fi  
+#			shift
+#			shift
+#		else
+#			install_cmake;
+#		    if [ $? -ne 0 ] 
+#		    then
+#		        echo "ERROR during cmake installation" ;
+#		        exit;
+#		    fi  
+#			shift
+#		fi
+#		;;
 	"czmq")
 		echo "install czmq";
 		if [ $2 == "-f" ]
@@ -496,27 +496,27 @@ do
 			shift
 		fi
 		;;
-	"opencv")
-		echo "install opencv";
-		if [[ $2 == */* ]];then
-			install_opencv $2;
-		    if [ $? -ne 0 ] 
-		    then
-		        echo "ERROR during opencv installation" ;
-		        exit;
-		    fi  
-			shift
-			shift
-		else
-			install_opencv;
-		    if [ $? -ne 0 ] 
-		    then
-		        echo "ERROR during opencv installation" ;
-		        exit;
-		    fi  
-			shift
-		fi
-		;;
+#	"opencv")
+#		echo "install opencv";
+#		if [[ $2 == */* ]];then
+#			install_opencv $2;
+#		    if [ $? -ne 0 ] 
+#		    then
+#		        echo "ERROR during opencv installation" ;
+#		        exit;
+#		    fi  
+#			shift
+#			shift
+#		else
+#			install_opencv;
+#		    if [ $? -ne 0 ] 
+#		    then
+#		        echo "ERROR during opencv installation" ;
+#		        exit;
+#		    fi  
+#			shift
+#		fi
+#		;;
 	 "protobuf")
 		echo "install protobuf";
 		if [[ $2 == */* ]];then
@@ -583,12 +583,12 @@ do
 	"all")
 		echo "install all dependencies";
 		if [[ $2 == */* ]];then
-			install_cmake $2;
-		    if [ $? -ne 0 ] 
-		    then
-		        echo "ERROR during cmake installation" ;
-		        exit;
-		    fi  
+#			install_cmake $2;
+#		    if [ $? -ne 0 ] 
+#		    then
+#		        echo "ERROR during cmake installation" ;
+#		        exit;
+#		    fi  
 			install_zeromq $2;
 		    if [ $? -ne 0 ] 
 		    then
@@ -619,12 +619,12 @@ do
 		        echo "ERROR during openblas installation" ;
 		        exit;
 		    fi  
-			install_opencv $2;
-		    if [ $? -ne 0 ] 
-		    then
-		        echo "ERROR during opencv installation" ;
-		        exit;
-		    fi  
+#			install_opencv $2;
+#		    if [ $? -ne 0 ] 
+#		    then
+#		        echo "ERROR during opencv installation" ;
+#		        exit;
+#		    fi  
 			install_protobuf $2;
 		    if [ $? -ne 0 ] 
 		    then
@@ -640,12 +640,12 @@ do
 			shift
 			shift
 		else
-			install_cmake;
-		    if [ $? -ne 0 ] 
-		    then
-		        echo "ERROR during cmake installation" ;
-		        exit;
-		    fi  
+#			install_cmake;
+#		    if [ $? -ne 0 ] 
+#		    then
+#		        echo "ERROR during cmake installation" ;
+#		        exit;
+#		    fi  
 			install_zeromq;
 		    if [ $? -ne 0 ] 
 		    then
@@ -676,12 +676,12 @@ do
 		        echo "ERROR during openblas installation" ;
 		        exit;
 		    fi  
-			install_opencv;
-		    if [ $? -ne 0 ] 
-		    then
-		        echo "ERROR during opencv installation" ;
-		        exit;
-		    fi  
+#			install_opencv;
+#		    if [ $? -ne 0 ] 
+#		    then
+#		        echo "ERROR during opencv installation" ;
+#		        exit;
+#		    fi  
 			install_protobuf;
 		    if [ $? -ne 0 ] 
 		    then
@@ -700,12 +700,12 @@ do
 	*)
 		echo "USAGE: ./install.sh [MISSING_LIBRARY_NAME1] [YOUR_INSTALL_PATH1] [MISSING_LIBRARY_NAME2]
[YOUR_INSTALL_PATH2] ...";
 		echo " MISSING_LIBRARY_NAME can be:	"
-		echo "	cmake"
+#		echo "	cmake"
 		echo "	czmq"
 		echo "	glog"
 		echo "	lmdb"
 		echo "	OpenBLAS"
-		echo "	opencv"
+#		echo "	opencv"
 		echo "	protobuf"
 		echo "	zeromq"
 		echo "	zookeeper"


Mime
View raw message